<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.IRdfConnector Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="interface_semantic_search_implementation_1_1_i_rdf_connector-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.IRdfConnector Interface Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Provides all necessary functions for querying and manipulating the RDF-based knowledge graph.  
 <a href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchImplementation.IRdfConnector:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_semantic_search_implementation_1_1_i_rdf_connector.png" usemap="#SemanticSearchImplementation.IRdfConnector_map" alt=""/>
  <map id="SemanticSearchImplementation.IRdfConnector_map" name="SemanticSearchImplementation.IRdfConnector_map">
<area href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html" title="Implements necessary functions for querying and manipulating the RDF-based knowledge graph." alt="SemanticSearchImplementation.VirtuosoRdfConnector" shape="rect" coords="0,56,315,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a58522871a768f8aa245c1dda7f28c312"><td class="memItemLeft" align="right" valign="top">Graph&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a58522871a768f8aa245c1dda7f28c312">GetGraph</a> (string graphName)</td></tr>
<tr class="memdesc:a58522871a768f8aa245c1dda7f28c312"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a metadata graph.  <a href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a58522871a768f8aa245c1dda7f28c312">More...</a><br /></td></tr>
<tr class="separator:a58522871a768f8aa245c1dda7f28c312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e607b1296b7409c60c7a7fd4c3c3ab"><td class="memItemLeft" align="right" valign="top">IGraph&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a43e607b1296b7409c60c7a7fd4c3c3ab">QueryWithResultGraph</a> (SparqlParameterizedString query)</td></tr>
<tr class="memdesc:a43e607b1296b7409c60c7a7fd4c3c3ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the knowledge graph with a parametrized string and a <code>Graph</code> as result.  <a href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a43e607b1296b7409c60c7a7fd4c3c3ab">More...</a><br /></td></tr>
<tr class="separator:a43e607b1296b7409c60c7a7fd4c3c3ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10764683af6c174e4e40e3e235cc1fc2"><td class="memItemLeft" align="right" valign="top">SparqlResultSet&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a10764683af6c174e4e40e3e235cc1fc2">QueryWithResultSet</a> (string query, bool withInference=true)</td></tr>
<tr class="memdesc:a10764683af6c174e4e40e3e235cc1fc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the knowledge graph with a query and possibly with stored inference rules.  <a href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a10764683af6c174e4e40e3e235cc1fc2">More...</a><br /></td></tr>
<tr class="separator:a10764683af6c174e4e40e3e235cc1fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7649dd5f0f6f03b0557770a35e5c7a7"><td class="memItemLeft" align="right" valign="top">SparqlResultSet&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#ad7649dd5f0f6f03b0557770a35e5c7a7">QueryWithResultSet</a> (SparqlParameterizedString query)</td></tr>
<tr class="memdesc:ad7649dd5f0f6f03b0557770a35e5c7a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the knowledge graph with a parametrized string and a <code>SparqlResultSet</code> as result.  <a href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#ad7649dd5f0f6f03b0557770a35e5c7a7">More...</a><br /></td></tr>
<tr class="separator:ad7649dd5f0f6f03b0557770a35e5c7a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a291a31a1dd851b47c831c8cbddc5b23e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a291a31a1dd851b47c831c8cbddc5b23e">Update</a> (SparqlParameterizedString query)</td></tr>
<tr class="memdesc:a291a31a1dd851b47c831c8cbddc5b23e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the knoeldge graph with a parametrized string.  <a href="interface_semantic_search_implementation_1_1_i_rdf_connector.html#a291a31a1dd851b47c831c8cbddc5b23e">More...</a><br /></td></tr>
<tr class="separator:a291a31a1dd851b47c831c8cbddc5b23e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provides all necessary functions for querying and manipulating the RDF-based knowledge graph. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a58522871a768f8aa245c1dda7f28c312"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58522871a768f8aa245c1dda7f28c312">&#9670;&nbsp;</a></span>GetGraph()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Graph SemanticSearchImplementation.IRdfConnector.GetGraph </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns a metadata graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A graph.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a664532a10fa88ffda7255ad48bb6c91c">SemanticSearchImplementation.VirtuosoRdfConnector</a>.</p>

</div>
</div>
<a id="a43e607b1296b7409c60c7a7fd4c3c3ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43e607b1296b7409c60c7a7fd4c3c3ab">&#9670;&nbsp;</a></span>QueryWithResultGraph()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IGraph SemanticSearchImplementation.IRdfConnector.QueryWithResultGraph </td>
          <td>(</td>
          <td class="paramtype">SparqlParameterizedString&#160;</td>
          <td class="paramname"><em>query</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Queries the knowledge graph with a parametrized string and a <code>Graph</code> as result. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>Parametrized SPARQL query which returns a <code>Graph</code>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <code>Graph</code>.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ad6513f05266064ad1094b86315850a7c">SemanticSearchImplementation.VirtuosoRdfConnector</a>.</p>

</div>
</div>
<a id="ad7649dd5f0f6f03b0557770a35e5c7a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7649dd5f0f6f03b0557770a35e5c7a7">&#9670;&nbsp;</a></span>QueryWithResultSet() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SparqlResultSet SemanticSearchImplementation.IRdfConnector.QueryWithResultSet </td>
          <td>(</td>
          <td class="paramtype">SparqlParameterizedString&#160;</td>
          <td class="paramname"><em>query</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Queries the knowledge graph with a parametrized string and a <code>SparqlResultSet</code> as result. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>Parametrized SPARQL query which returns a <code>SparqlResultSet</code>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <code>SparqlResultSet</code>.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a1dcc4474aee369c058ddf4faf0928513">SemanticSearchImplementation.VirtuosoRdfConnector</a>.</p>

</div>
</div>
<a id="a10764683af6c174e4e40e3e235cc1fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10764683af6c174e4e40e3e235cc1fc2">&#9670;&nbsp;</a></span>QueryWithResultSet() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SparqlResultSet SemanticSearchImplementation.IRdfConnector.QueryWithResultSet </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>query</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>withInference</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Queries the knowledge graph with a query and possibly with stored inference rules. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>String representation of a SPARQL query.</td></tr>
    <tr><td class="paramname">withInference</td><td>Flag which indicates the use of the inference rules.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A <code>SparqlResultSet</code>.</dd></dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a2bdc76057ae76fccec2000bd59a6e5d0">SemanticSearchImplementation.VirtuosoRdfConnector</a>.</p>

</div>
</div>
<a id="a291a31a1dd851b47c831c8cbddc5b23e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a291a31a1dd851b47c831c8cbddc5b23e">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SemanticSearchImplementation.IRdfConnector.Update </td>
          <td>(</td>
          <td class="paramtype">SparqlParameterizedString&#160;</td>
          <td class="paramname"><em>query</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Updates the knoeldge graph with a parametrized string. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>Parametrized SPARQL query.</td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a8b88955c969854bbf6c30516881d2d95">SemanticSearchImplementation.VirtuosoRdfConnector</a>.</p>

</div>
</div>
<hr/>The documentation for this interface was generated from the following file:<ul>
<li><a class="el" href="_i_rdf_connector_8cs.html">IRdfConnector.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
